Results 1 to 1 of 1
  1.    #1  
    I just got a replacement pre and it came with 1.02. Anyway to only update to 1.03 or will it force me to do 1.04?
    Last edited by TechFirstAid; 06/29/2009 at 08:32 PM.

Posting Permissions